## org.omg.PortableServer
Class AdapterActivatorHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.AdapterActivatorHelper

public class AdapterActivatorHelper
extends java.lang.Object

Helper class for : AdapterActivator

Author:
  OpenORB Compiler

Constructor Summary
`AdapterActivatorHelper()`

Method Summary
`static AdapterActivator` `extract(Any a)` Extract AdapterActivator from an any
`static java.lang.String` `id()` Return the AdapterActivator IDL ID
`static void` `insert(Any a, AdapterActivator t)` Insert AdapterActivator into an any
`static AdapterActivator` `narrow(Object obj)` Narrow CORBA::Object to AdapterActivator
`static AdapterActivator` `read(InputStream istream)` Read AdapterActivator from a marshalled stream
`static TypeCode` `type()` Return the AdapterActivator TypeCode
`static AdapterActivator` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to AdapterActivator
`static void` `write(OutputStream ostream, AdapterActivator value)` Write AdapterActivator into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdapterActivatorHelper

    public AdapterActivatorHelper()

Method Detail

### insert

    public static void insert(Any a,
                              AdapterActivator t)

  Insert AdapterActivator into an any
  Parameters:
    `a` - an any
    `t` - AdapterActivator value

### extract

    public static AdapterActivator extract(Any a)

  Extract AdapterActivator from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted AdapterActivator value

### type

    public static TypeCode type()

  Return the AdapterActivator TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the AdapterActivator IDL ID
  Returns:
    an ID

### read

    public static AdapterActivator read(InputStream istream)

  Read AdapterActivator from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed AdapterActivator value

### write

    public static void write(OutputStream ostream,
                             AdapterActivator value)

  Write AdapterActivator into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - AdapterActivator value

### narrow

    public static AdapterActivator narrow(Object obj)

  Narrow CORBA::Object to AdapterActivator
  Parameters:
    `obj` - the CORBA Object
  Returns:
    AdapterActivator Object

### unchecked_narrow

    public static AdapterActivator unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to AdapterActivator
  Parameters:
    `obj` - the CORBA Object
  Returns:
    AdapterActivator Object